Мәтін және тізім құралдары
Жұмыс деректерін жүктемей-ақ мазмұнды тазалаңыз, салыстырыңыз және өлшеңіз.
Мәтін жолдарын ортаға туралау
Әр жолды дәл Unicode таңба ені ішінде ортаға туралаңыз, бос жолдарды сақтап, жойқын қысқартуды қабылдамаңыз.
Құралды ашу →Сөздерден префиксті жою
Сәйкес келетін Юникод сөздерінен дәл бір бастапқы фрагментті алып тастаңыз да, тыныс белгілерін, бос орындарды және сәйкес келмейтін сөздерді өзгеріссіз қалдырыңыз.
Құралды ашу →Сөздерден жұрнақты алып тастау
Сәйкес келетін Unicode сөздерден бөлгіштерді тегістемей және сол жұрнақты көтермейтін сөздерді өзгертпей, дәл бір бірдей соңғы жұрнақты алып тастаңыз.
Құралды ашу →Таңбалардың арасына бөлгішті енгізу
Таңдалған бөлгішті Unicode код нүктелерінің арасына қойыңыз, эмодзи сияқты суррогаттық жұптарды жарамсыз жарты бөліктерге бөлмей.
Құралды ашу →Әрбір мәтін жолын тырнақшаға алу
Әр жолды қос тырнақшаға, жалқы тырнақшаға немесе backticks-ке ораңыз, бос жолдарды және бастапқы жол ретіін сақтай отырып.
Құралды ашу →Мәтін жолдарындағы тырнақшаларды алып тастау
Әр жолдан автоматты немесе нақты тырнақша стилін сәйкестендіру арқылы бір теңгерілген сыртқы тырнақша жұбын алып тастаңыз.
Құралды ашу →Әрбір сөзді тырнақшаға алыңыз
Әрбір Unicode сөз таңбасын таңдалған тырнақша таңбасымен қоршап, үтірлерді, тыныс белгілерін және бастапқы бос орындарды сақтаңыз.
Құралды ашу →Сөздерден тырнақшаларды алып тастау
Сәйкес келетін екі тырнақша болған кезде Unicode сөздерін жеке-жеке тырнақшадан шығарыңыз, ал прозадағы қатысы жоқ тырнақша белгілерін өшірмеңіз.
Құралды ашу →Бос жолдарды қалыпқа келтіру
Бос қатарлардың қатарынан келуін дәл ең жоғары мәнмен шектеп, шегіністі және бос емес әрбір жолды сақтаңыз.
Құралды ашу →Бос орындарды жаңа жолдарға түрлендіру
Әр бос орынмен бөлінген таңбаны бір жолға айналдырып, қайталанатын бос орындарды, табуляцияларды және бар жол үзілімдерін детерминді түрде ықшамдаңыз.
Құралды ашу →Жол ауыстыруларды бөлгішке түрлендіру
Бос емес мәтін жолдарын реттелетін бөлгіш арқылы біріктіріп, әр жолдың тек сыртқы бос орнын қиып алыңыз.
Құралды ашу →Сөз жиілігін талдағыш
Уникод сөздерін кездесу жиілігі бойынша реттеңіз, ең аз ұзындықты, нәтиже шегін және регистрге сезімтал салыстыруды баптауға болады.
Құралды ашу →Сөздердің ішіндегі әріптерді сұрыптау
Әр сөздің ішіндегі Юникод әріптері мен сандарын тыныс белгілерін немесе сөздердің өзін қозғамай, бөлек сұрыптаңыз.
Құралды ашу →Барлық мәтін таңбаларын сұрыптау
Қосымша бос орындарды жою және өсу немесе кему бағытын нақты көрсету арқылы барлық енгізудегі әрбір Unicode код нүктесіне тапсырыс беріңіз.
Құралды ашу →Сан, мәтін, сөйлемдер
Әр анықталған сөйлемді теңшелетін бастапқы мәні мен үш оқуға оңай белгі стилі бар өз нөмірленген жолына қойыңыз.
Құралды ашу →Нөмір мәтін абзацтар
Әр абзацтың ішкі жол үзілімдері мен пішімдеуін сақтай отырып, бос жолдармен бөлінген абзацтарды нөмірлеңіз.
Құралды ашу →Қайталанатын сөйлемді табушы
Толық қайталанатын сөйлемдерді санымен бірге, салыстыруды регистрге сезімтал немесе регистрге сезімтал емес түрде пайдаланып тізіңіз.
Құралды ашу →Бірегей сөйлемдерді шығарып алушы
Әр толық сөйлемнің бірінші кездесуін сақтаңыз және таңдалатын әріп регистрі ережесі бойынша кейінгі қайталануларды алып тастаңыз.
Құралды ашу →Base32 мәтін кодтаушысы және декодтаушысы
UTF-8 мәтінін RFC 4648 стандартты Base32-ге түрлендіріңіз немесе толтырылған не толтырылмаған Base32 мәнін қатаң түрде декодтаңыз.
Құралды ашу →Base32hex мәтіндік кодтаушысы және кодтан шығарушысы
RFC 4648-тің 7-бөлімінде анықталған кеңейтілген оналтылық Base32 әліпбиімен UTF-8 кодтау және кері декодтау.
Құралды ашу →Base45 мәтін кодтаушысы және декодтаушысы
QR-бағдарланған деректер пішімдерінде қолданылатын ықшам RFC 9285 Base45 әліпбиі арқылы UTF-8 мәтінді түрлендіріңіз.
Құралды ашу →Base58 Bitcoin мәтін кодтаушысы және декодтаушысы
Bitcoin Base58 әліпбиін пайдаланып UTF-8 байттарын түрлендіріңіз, бастапқы нөлдік байттарды дәл сол күйінде сақтай отырып.
Құралды ашу →Ascii85 мәтін кодтаушысы және декодтаушысы
UTF-8-ті бес таңбалы Ascii85 топтарымен кодтаңыз немесе қосымша бөлгіштер мен z сығуымен қатаң Adobe-үйлесімді деректерді декодтаңыз.
Құралды ашу →Quoted-Printable мәтін кодтағышы және кодынан ашқышы
UTF-8 пошта стиліндегі мәтінді RFC 2045 quoted-printable ретінде кодтаңыз немесе расталған бас әріптік escape-тізбектерді және браузер қалыпқа келтірген жол үзілімдерін декодтаңыз.
Құралды ашу →Бұл бетте сәйкес құралдар жоқ.